Package de.willuhn.jameica.hbci.rmi

# Enum Class BatchBookType

java.lang.Object
java.lang.Enum<BatchBookType>
de.willuhn.jameica.hbci.rmi.BatchBookType

All Implemented Interfaces:
  `Serializable`, `Comparable<BatchBookType>`, `Constable`

public enum BatchBookType extends Enum<BatchBookType>
Die verschiedenen Varianten des Batch-Booking-Flags.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FALSE`
BatchBooking-Flag als false senden.
`NONE`
BatchBooking-Flag gar nicht mitschicken.
`TRUE`
BatchBooking-Flag als true senden.

## Field Summary

Fields
Modifier and Type
Field
Description
`static BatchBookType`
`DEFAULT`
Der Default-Typ (NONE).

## Method Summary

Modifier and Type
Method
Description
`static BatchBookType`
`byValue(Boolean value)`
Liefert den passenden Batchbook-Typ fuer den angegebenen Wert.
`static BatchBookType`
`byValue(String value)`
Liefert den passenden Batchbook-Typ fuer den angegebenen Wert.
`static BatchBookType`
`byXmlValue(String value)`
Liefert den passenden Batchbook-Typ fuer den angegebenen Wert wie er in der XML-Datei steht.
`Boolean`
`getBooleanValue()`
Liefert den zugehoerigen Boolean-Wert.
`String`
`getDescription()`
Liefert einen sprechenden Namen fuer den Typ.
`String`
`getValue()`
Liefert den zugehoerigen Property-Wert.
`String`
`toString()`
`static BatchBookType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BatchBookType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final BatchBookType NONE
BatchBooking-Flag gar nicht mitschicken.

### TRUE

public static final BatchBookType TRUE
BatchBooking-Flag als true senden.

### FALSE

public static final BatchBookType FALSE
BatchBooking-Flag als false senden.

## Field Details

### DEFAULT

public static BatchBookType DEFAULT
Der Default-Typ (NONE).

## Method Details

### values

public static BatchBookType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BatchBookType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public String getValue()
Liefert den zugehoerigen Property-Wert.

Returns:
  der zugehoerige Property-Wert.

### getBooleanValue

public Boolean getBooleanValue()
Liefert den zugehoerigen Boolean-Wert.

Returns:
  der zugehoerige Boolean-Wert.

### getDescription

public String getDescription()
Liefert einen sprechenden Namen fuer den Typ.

Returns:
  sprechender Name fuer den Typ.

### byValue

public static BatchBookType byValue(String value)
Liefert den passenden Batchbook-Typ fuer den angegebenen Wert.

Parameters:
  `value` - der Wert.
Returns:
  die zugehoerige Enum oder NULL, wenn der Typ nicht gefunden wurde.

### byXmlValue

public static BatchBookType byXmlValue(String value)
Liefert den passenden Batchbook-Typ fuer den angegebenen Wert wie er in der XML-Datei steht.

Parameters:
  `value` - der Wert.
Returns:
  die zugehoerige Enum. Niemals NULL sondern in dem Fall `NONE`.

### byValue

public static BatchBookType byValue(Boolean value)
Liefert den passenden Batchbook-Typ fuer den angegebenen Wert.

Parameters:
  `value` - der Wert.
Returns:
  die zugehoerige Enum.

### toString

public String toString()

Overrides:
  `toString` in class `Enum<BatchBookType>`